package javafxmenu;

import javafx.ext.swing.Menu;
import javafx.ext.swing.MenuItem;
import javafx.ext.swing.SwingFrame;
import javafx.ext.swing.Canvas;
import javafx.scene.paint.Color;
import javafx.ext.swing.BorderPanel;
import javafx.ext.swing.Label;

/**
 * @author Amit
 */

var newFrame = SwingFrame {
    title: "My New Frame"
    width: 500
    height:500
    closeAction: function() { 
        java.lang.System.exit( 0 ); 
    }
    visible: false
    content: BorderPanel {
       top: Label {
           text: "Welcome Amit Kumar !"
           foreground:Color.PINK
       }
    }
}
SwingFrame {
    title: "My Menu Application"
    width: 700
    height: 600
    closeAction: function() { 
        java.lang.System.exit( 0 ); 
    }
    visible: true
    menus: [ Menu {
    text: "File"
    items : [
        MenuItem {
            text: "New"
            action : function(){
                newFrame.visible=true;
            }
        },MenuItem {
            text: "Open"
            enabled:false
         },MenuItem {
            text: "Save"
            enabled:false
        }
    ]
    foreground:Color.BLUE
  
},Menu {
    text: "Edit"
    items : [
        MenuItem {
            text: "Undo"
        },MenuItem {
            text: "Redo"
        },MenuItem {
            text: "Find"
        },MenuItem {
            text: "Replace"
        }
        ]
        foreground:Color.BLUE
    } ]
}

